Bug 844298 - Stuck in calendar factory main thread
Stuck in calendar factory main thread
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 05:02 EDT by Mikhail
Modified: 2012-08-08 07:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-ews-3.4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 07:19:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace evolution (13.01 KB, text/plain)
2012-07-30 05:02 EDT, Mikhail
no flags Details
backtrace evolution-calendar-factory (10.36 KB, text/plain)
2012-07-30 05:02 EDT, Mikhail
no flags Details
proposed ews patch (1.14 KB, patch)
2012-08-01 02:56 EDT, Milan Crha
no flags Details | Diff

  None (edit)
Description Mikhail 2012-07-30 05:02:02 EDT
Created attachment 601159 [details]
backtrace evolution

Description of problem:
Comment 1 Mikhail 2012-07-30 05:02:50 EDT
Created attachment 601160 [details]
backtrace evolution-calendar-factory
Comment 2 Milan Crha 2012-08-01 02:49:21 EDT
Thanks for a bug report. This is different from your previous stuck on calendar invite, this one is blocking calendar factory in the main thread, but on a very strange place, in prepare_create_item_with_mime_content_request(), which is not possible in the code. I see from the backtrace that the g_timeout_dispatch() doesn't have exact start of the function, it is shifted slightly inside it, which might mean that there happened a memory corruption in the calendar factory process.
Comment 3 Milan Crha 2012-08-01 02:56:16 EDT
Created attachment 601665 [details]
proposed ews patch

for evolution-ews;

I'm not sure whether this will help, though I didn't find anything obvious on the first look. I'm building a test package at [1], give it a try, please.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=4347231
Comment 4 Milan Crha 2012-08-08 07:19:00 EDT
Created commit 52d5998 in ews master (3.5.90+)
Created commit e624a91 in ews gnome-3-4 (3.4.4+)

Note You need to log in before you can comment on or make changes to this bug.